@charset "UTF-8";
/* =================================
common
====================================*/

:root {
    --primary-white: #f9f9f9;
    --primary-black: #303030;
    --primary-orange: #e8782b;
    --primary-yellow: #fdf16d;
    --primary-ivory: #F8F4E9;
    --primary-lightGreen: #E0E59A;
    --primary-brown: #6C492F;
    --contentPadding: 5%;
    --mainFont: "Zen Maru Gothic", sans-serif;
    --enFont:  "Playwrite NZ Basic", serif;
}

html {
    font-size: 62.5%;
}

img {
    width: 100%;
    display: block;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: var(--mainFont);
    font-weight: 400;
    font-style: normal;
    line-height: 1.5;
    font-size: 1.6rem;
    letter-spacing: 1.6px;
    color: var(--primary-black);
    background-color: var(--primary-white);
}

.main {
    width: 100%;
    margin-top: 54px;
    overflow: hidden;
}

.section {
    width: 100%;
    padding: 50px var(--contentPadding);
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.section__topicBlock {
    width: 100%;
}

.section__topic {
    font-size: 2rem;
    color: var(--primary-white);
    background-color: var(--primary-orange);
    width: fit-content;
    padding: 5px 30px;
    font-weight: 500;
    border-radius: 0 10px 0 10px;
    margin-bottom: 20px;
}

.btn {
    display: block;
    padding: 5px 20px;
    font-weight: 500;
}

.btn--detail {
    background-color: var(--primary-lightGreen);
    width: fit-content;
    margin-top: 20px;
    padding: 7px 20px;
    font-size: 1.4rem;
    transition: .5s ease;
}

.btn--detail:hover {
    background-color: var(--primary-yellow);
    color: var(--primary-orange);
    transition: .5s ease;
}

.pc {
    display: none;
}

@media screen and (min-width: 768px) {
    .section {
        padding: 80px var(--contentPadding);
        align-items: center;
    }

    .section > * {
        max-width: 1280px;
    }

    .section__topic {
        font-size: 2.4rem;
        padding: 7px 40px;
        border-radius: 0 15px 0 15px;
        margin-bottom: 30px;
    }

    .btn {
        padding: 7px 30px;
    }

    .btn--detail {
        background-color: var(--primary-lightGreen);
        width: fit-content;
        margin-top: 30px;
        padding: 7px 30px;
        font-size: 1.4rem;
    }

    .sp {
        display: none;
    }

    .pc {
        display: block;
    }
}

/* =================================
header
====================================*/
.header {
    position: fixed;
    height: 54px;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 99;
    background-color: var(--primary-ivory);
    display: flex;
    align-items: center;
    padding: 8px var(--contentPadding);
}

.header__logo {
    position: absolute;
    top: 10px;
    z-index: 100;
    left: var(--contentPadding);
    display: block;
    height: 32px;
    width: fit-content;
    object-fit: contain;
    mix-blend-mode: multiply;
}

/* ===== hamburger button ===== */
.menu-btn{
    position: absolute;
    top: 0;
    right: 0;
    width: 54px;
    height: 54px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    padding: 0;
    z-index: 101; /* navより上に */
    background-color: var(--primary-orange);
}

.menu-btn__line{
    display: block;
    width: 35px;
    height: 2.5px;
    background: var(--primary-white);
    border-radius: 999px;
    transition: transform .5s ease, opacity .2s ease;
}

.menu-btn__line:nth-of-type(1) {
    transform: translateY(-7px);
}
.menu-btn__line:nth-of-type(3) {
    transform: translateY(7px);
}

/* nav */
.nav {
    position: fixed;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    width: 250px;
    height: fit-content;
    background-color: rgba(232, 120, 43, .9);
    padding: 50px 25px;
    gap: 30px;
    top: 0;
    right: 0;
    z-index: 100;
    transform: translateX(100%) translateY(54px);
    transition: 0.7s ease;
    border-radius: 0 0 0 20px;
    backdrop-filter: blur(5px);
}

.is-nav-open .nav{
    transform: translateX(0) translateY(54px);
}

/* ===== open state ===== */
.is-nav-open .menu-btn__line:nth-child(1){
  transform: translateY(2.5px) rotate(135deg);
}
.is-nav-open .menu-btn__line:nth-child(2){
  opacity: 0;
}
.is-nav-open .menu-btn__line:nth-child(3){
  transform: translateY(-2.5px) rotate(-135deg);
}


.nav__list {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 10px;
}

.nav__item {
    font-size: 24px;
    font-weight: 500;
    color: var(--primary-white);
    letter-spacing: 2.2px;
    line-height: 1.5;
    transition: .7s ease;
    transform: translateX(0);
}

.nav__item:hover {
    transition: .7s ease;
    color: var(--primary-yellow);
    transform: translateX(-10px);
}

.btn--tel {
    background-color: var(--primary-white);
    color: var(--primary-orange);
    border-radius: 5px;
    font-weight: 500;
    width: fit-content;
}

@media screen and (min-width: 768px) {
    .nav {
        width: 300px;
    }
}

/* =================================
footer
====================================*/
.footer {
    width: 100%;
    position: relative;
    background-color: var(--primary-lightGreen);
    display: flex;
    flex-direction: column;
    padding: 50px var(--contentPadding);
    overflow: hidden;
}

.footer__left {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.footer__topic {
    width: 250px;
    object-fit: contain;
    mix-blend-mode: multiply;
}

.footer__week {
    width: 100%;
    margin-top: 20px;
}

.footer__address {
    font-size: 1.4rem;
    margin-top: 15px;
}

.footer__right {
    width: 100%;
    display: flex;
    justify-content: center;
}

.map--illust {
    width: 80%;
    max-width: 350px;
    object-fit: contain;
}

.footer__copy {
    font-size: 1.1rem;
    text-align: center;
}

@media screen and (min-width: 768px) {
    .footer__container {
        display: flex;
        max-width: 1280px;
        margin: 0 auto;
    }

    .footer__left {
        width: 55%;
        min-width: 55%;
        display: flex;
        flex-direction: column;
    }

    .footer__address {
        font-size: 1.6rem;
        margin-top: 20px;
    }

    .footer__copy {
        font-size: 1.3rem;
    }

    .map--illust {
        max-width: 460px;
    }

}

/* =================================
topView
====================================*/
.topView {
    position: relative;
    width: 100%;
    height: 75vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.catchCopy {
    font-size: 2.4rem;
    text-align: center;
    font-weight: 500;
    color: var(--primary-white);
    text-shadow: rgba(10, 10, 10, .85) 0 0 4px;
    letter-spacing: 2.5px;
}

.top__imgBlock {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: -1;
}

.top-kv {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    animation: fade 12s infinite;
    opacity: 0;
}

.top-kv:nth-of-type(1) {
    animation-delay: 0s;
}
.top-kv:nth-of-type(2) {
    animation-delay: 4s;
}
.top-kv:nth-of-type(3) {
    animation-delay: 8s;
}

@keyframes fade {
  0%   { opacity: 0; }
  15%   { opacity: 1; }
  35%  { opacity: 1; }
  50%  { opacity: 0; }
  100% { opacity: 0; }
}

@media screen and (min-width: 768px) {
    .topView {
        height: 85vh;
    }

    .catchCopy {
        font-size: 2.8rem;
        letter-spacing: 3px;
    }
}

/* =================================
about
====================================*/
.about__topic {
    width: 100%;
    text-align: center;
    border-bottom: solid 1.5px var(--primary-orange);
    border-top: solid 1.5px var(--primary-orange);
    padding: 5px;
}

.about__list {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 15px;
}

.about__item {
    width: fit-content;
    height: fit-content;
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    border: solid 10px var(--primary-lightGreen);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 25px;
    background-color: #fff;
}

.about__item:nth-of-type(1) {
    transform: translateX(-35%);
}
.about__item:nth-of-type(2) {
    transform: translateX(30%) translateY(-25px);
}
.about__item:nth-of-type(3) {
    transform: translateX(-25%) translateY(-35px);
}

.about__item__txt {
    text-align: center;
    color: var(--primary-brown);
    text-shadow: rgba(50, 50, 50, .3) 1px 1px 3px;
    transform: translateY(10px)
}

.about__item__img {
    mix-blend-mode: multiply;
    width: 120px;
    object-fit: contain;
}

.about__txtBlock {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.about__txt {
    font-size: 1.4rem;
    line-height: 1.8;
}

.about__img {
    width: 60%;
    object-fit: contain;
    border-radius: 10px;
}

@media screen and (min-width: 768px) {
    .about__topic {
        font-size: 1.8rem;
    }

    .about__list {
        flex-direction: row;
        justify-content: center;
        align-items: center;
        margin-top: 40px;
        gap: 25px;
    }

    .about__item {
        width: 250px;
        height: 250px;
        border: solid 15px var(--primary-lightGreen);
    }

    .about__item:nth-of-type(1) {
        transform: translateX(0);
    }
    .about__item:nth-of-type(2) {
        transform: translateX(0) translateY(0);
    }
    .about__item:nth-of-type(3) {
        transform: translateX(0) translateY(0);
    }

    .about__txtBlock {
        margin-top: 50px;
        flex-direction: row;
        align-items: flex-start;
        gap: 20px;
    }

    .about__item__txt {
        font-size: 1.7rem;
    }

    .about__txt {
        font-size: 1.6rem;
        line-height: 1.8;
    }

    .about__img {
        width: 400px;
        object-fit: contain;
        border-radius: 10px;
    }
}

/* =================================
menu
====================================*/
.section--menu {
    background-color: var(--primary-ivory);
}

.menu__catchCopy {
    text-align: center;
    border-bottom: solid 1.5px var(--primary-orange);
    border-top: solid 1.5px var(--primary-orange);
    padding: 5px;
}

.menu__list {
    margin-top: 20px;
}

.menu__item {
    display: flex;
    flex-direction: column;
    padding-bottom: 50px;
}

.menu__item:last-of-type {
    padding-bottom: 0;
}


.menu__img {
    aspect-ratio: 16 / 9;
    object-fit: cover;
}

.menu__number {
    font-family: var(--enFont);
    margin-right: 15px;
    color: var(--primary-orange);
    font-size: 25px;
}

.menu__topic {
    margin-top: 10px;
    width: fit-content;
    border-bottom: solid 1.5px var(--primary-orange);
    padding:0 3px 3px 3px;
    font-weight: 500;
    font-size: 1.8rem;
}

.menu--btnBlock {
    width: 100%;
    display: flex;
    justify-content: flex-end;
}

.menu__item__txt {
    margin-top: 10px;
}

.menu__item .btn--detail {
    margin-top: 10px;
}

@media screen and (min-width: 768px) {
    .menu__catchCopy {
        width: 100%;
        font-size: 1.8rem;
    }

    .menu__list {
        margin-top: 40px;
    }

    .menu__item {
        position: relative;
        padding-bottom: 70px;
    }

    .menu__img {
        aspect-ratio: 16 / 7;
    }

    .menu__number {
        margin-right: 20px;
        font-size: 35px;
    }

    .menu__topic {
        margin-top: 30px;
        font-size: 2.2rem;
    }
    
    .menu__item__txt {
        margin-top: 20px;
        font-size: 1.8rem;
    }

    .menu--btnBlock {
        width: 100%;
        display: flex;
        justify-content: flex-end;
    }

    .menu__item .btn--detail {
        margin-top: 10px;
    }
}

/* =================================
news
====================================*/
.news__list {
    display: flex;
    flex-direction: column;
}

.news__item a {
    display: flex;
    gap: 7px;
    border-bottom: solid 1px var(--primary-brown);
    padding: 10px;
}

.news__item:nth-of-type(1) {
    border-top: solid 1px var(--primary-brown);
}

.news__img {
    width: 35%;
    aspect-ratio: 4 / 3;
    min-width: 35%;
    object-fit: cover;
}

.news__txtBlock {
    display: flex;
    flex-direction: column;
}

.news__topic {
    font-size: 1.4rem;
    font-weight: 500;
}

.news__date {
    font-size: 1.2rem;
}

.news__txt {
    font-size: 1.2rem;
    letter-spacing: 1.2px;
}

.news__btnBlock {
    width: 100%;
    display: flex;
    justify-content: center;
}

.btn--more {
    margin-top: 20px;
    width: fit-content;
    border: solid 1px var(--primary-brown);
    border-radius: 10px;
}

@media screen and (min-width: 768px) {
    .news__list {
        flex-direction: row;
        gap: 30px;
    }

    .news__item a {
        flex-direction: column;
        gap: 15px;
        padding: 0;
        border: none;
    }

    .news__item:nth-of-type(1) {
        border-top: none;
    }

    .news__img {
        width: auto;
        height: 200px;
        aspect-ratio: 4 / 3;
        min-width: 35%;
        object-fit: cover;
    }

    .news__txtBlock {
        padding-left: 10px;
        padding-right: 10px;
    }

    .news__topic {
        font-size: 1.8rem;
    }

    .news__date {
        font-size: 1.4rem;
    }

    .news__txt {
        font-size: 1.4rem;
    }

    .btn--more {
        margin-top: 40px;
        border: solid 1px var(--primary-brown);
        border-radius: 10px;
        transition: .5s ease;
    }
    .btn--more:hover {
        background-color: var(--primary-orange);
        color: var(--primary-white);
        border: solid 1px var(--primary-white);
        transition: .5s ease;
    }
}